# Data Object - ConverterCloningParams

Property of
  ConverterConversionParams
Extends
  DynamicData
See also
  ConverterBasicHardwareParams, ConverterIncrementalP2VCloningParams, ConverterNetworkParams, ConverterStorageParams, ConverterTargetVmSpec
Since
  Converter API 1.0

## Data Object Description

Parameters for cloning source into target VM.

Properties

Name | Type | Description
--- | --- | ---
basicHardwareParams* | ConverterBasicHardwareParams | The virtual hardware configuration of the target VM. If not set, the target VM will have the hardware as close as possible to the source system.
doFinalize* | xsd:boolean | Specify whether the synchronization will be final. Can be set only if doSynchronize is set to true. * If unset the conversion will be finalized. Since Converter API 3.0
doSynchronize* | xsd:boolean | Specifies whether "Apply changes from source to destination" (a.k.a. P2V motion or "synchronization") will be performed in the current conversion. Important: This flag can only be set when the following flag is enabled: canSynchronize. If unset the feature will not be performed. Since Converter API 2.0
incrementalP2VCloningParams* | ConverterIncrementalP2VCloningParams | Only applicable to block-level live P2V. If set, then the current conversion is for incremental P2V and it provides incremental specific parameters. Otherwise, it is a one-task P2V. Since Converter API 3.0
networkParams* | ConverterNetworkParams | Target network configuration information. If not specified, the default storage cloning parameters are used. The default is to have create the same number of NICs on the target as there are NICs on the source and to maintain the NIC mapping whenever possible.
nextBitmapId* | xsd:string | Only applicable to block-level live P2V. ID of the write tracking bitmap which will be used to track writes since the beginning of the current iteration to know which blocks have changed during the next iteration. If not specified, writes will not be tracked. Since Converter API 2.0
preserveDeviceBacking* | xsd:boolean | Preserve Device backing information of CDROM, Floppy, Serial Port, and Parallel Port from the source in the target VM. If false, the backings are reset to default values. The default is false.
preserveIdentity* | xsd:boolean | Preserve uuid.bios from the source machine in the target machine to keep identity intact. If false, uuid.bios is not set and will be re-created when the target VM boots for the first time. The default is false.
prevBitmapIds* | xsd:string[] | Only applicable to block-level live P2V. ID(s) of write tracking bitmaps which have been tracking changes since the last cloning iteration. Since Converter API 2.0
servicesToSuspend* | xsd:string[] | List of services to suspend before creating a snapshot. The array should contain values returned in serviceName Valid only for hot-cloning.
snapshotSource* | xsd:boolean | Only applicable to block-level live P2V. If True, create snapshot of the source file systems before cloning. If False, clone using "raw" live source volumes. The default is True. This field will be used in multi-phase P2V Motion where the incremental P2V iterations except the last one do not snapshot the source volumes. Since Converter API 2.0
storageParams* | ConverterStorageParams | Storage (disk/volumes) cloning parameters. If not specified, the default storage cloning parameters are used. For VMI, the default is disk-based cloning of all disks. For P2V, the default is volume-based cloning of all volumes without resize.
target* | ConverterTargetVmSpec | Specification for the destination location for the target VM.
useProxyMode* | xsd:boolean | Used only for Windows P2V conversions that establish direct connection from the source to the destination ESX server. If set to 'true' the traffic is redirected to Converter Worker process which in turn forwards it to the destination ESX server. If set to 'false' or unset, the agent on the source is establishing direct connection to the destination ESX server. Default value: false Since Converter API 6.0
Properties inherited from DynamicData
None

*Need not be set